package org.tinygroup.eventnetremote;

import org.tinygroup.eventnet.EventClient;
import org.tinygroup.net.daemon.DaemonRunnable;

public class EventClientDaemonRunnable extends DaemonRunnable {
	EventClient client;

	public EventClientDaemonRunnable(String hostName, int port) {
		client = new EventClient(hostName, port);
	}

	public EventClient getClient() {
		return client;
	}

	public void setClient(EventClient client) {
		this.client = client;
	}

	@Override
	protected void startAction() {
		client.run();
	}

	@Override
	protected void stopAction() {
		client.stop();

	}

}
